__gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare >(3)

NAME
__gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare > - Compare __a pair of types lexicographically, descending.

SYNOPSIS

Inherits std::binary_function< _T1, _T2, bool >.

  Public Types
typedef _T1 first_argument_type
first_argument_type is the type of the first argument
typedef bool result_type
result_type is the return type
typedef _T2 second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions
_LexicographicReverse (_Compare &__comp)
bool operator() (const std::pair< _T1, _T2 > &__p1, const std::pair< _T1, _T2 > &__p2) const

Detailed Description

  template<typename _T1, typename _T2, typename _Compare>
class __gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare >" Compare __a pair of types lexicographically, descending.

Definition at line 80 of file multiseq_selection.h.

Member Typedef Documentation

  typedef _T1 std::binary_function< _T1 , _T2 , bool >::first_argument_type [inherited]

first_argument_type is the type of the first argument

Definition at line 121 of file stl_function.h.

  typedef bool std::binary_function< _T1 , _T2 , bool >::result_type [inherited]

result_type is the return type

Definition at line 127 of file stl_function.h.

  typedef _T2 std::binary_function< _T1 , _T2 , bool >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Definition at line 124 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.